### Method

# AppStream Artifact get_filename

#### Declaration [src]

    const gchar*
    as_artifact_get_filename (
      AsArtifact* artifact
    )

#### Description [src]

Gets a suggested filename for the downloaded artifact, or `NULL` if none is suggested.

#### Return value

Type: `const gchar*`

The platform triplet or identifier string.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.